Package org.eclipse.viatra.query.runtime.base.api.filters

## Class SimpleBaseIndexFilter

- java.lang.Object
- - org.eclipse.viatra.query.runtime.base.api.filters.SimpleBaseIndexFilter

- All Implemented Interfaces:
    `IBaseIndexObjectFilter`

      public class SimpleBaseIndexFilter
      extends java.lang.Object
      implements IBaseIndexObjectFilter

  An index filter that is based on a collection of `Notifier` instances.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleBaseIndexFilter​(java.util.Collection<org.eclipse.emf.common.notify.Notifier> filterConfiguration)` | Creates a filter using a collection of (Resource and) Notifier instances.
    `SimpleBaseIndexFilter​(SimpleBaseIndexFilter other)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isFiltered​(org.eclipse.emf.common.notify.Notifier notifier)` | Decides whether the selected notifier is filtered.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleBaseIndexFilter

          public SimpleBaseIndexFilter​(java.util.Collection<org.eclipse.emf.common.notify.Notifier> filterConfiguration)

      Creates a filter using a collection of (Resource and) Notifier instances. Every containment subtree, selected by the given Notifiers are filtered out.
      Parameters:
        `filterConfiguration` -

    - #### SimpleBaseIndexFilter

          public SimpleBaseIndexFilter​(SimpleBaseIndexFilter other)

  - ### Method Detail

    - #### isFiltered

          public boolean isFiltered​(org.eclipse.emf.common.notify.Notifier notifier)

      Description copied from interface: `IBaseIndexObjectFilter`
      Decides whether the selected notifier is filtered.
      Specified by:
        `isFiltered` in interface `IBaseIndexObjectFilter`
      Returns:
        true, if the notifier should not be indexed